#include "QtWidgetsClass_CircleSAR.h"

 

QtWidgetsClass_CircleSAR::QtWidgetsClass_CircleSAR(QWidget *parent)
	: QWidget(parent)
{
	ui.setupUi(this);
}

QtWidgetsClass_CircleSAR::~QtWidgetsClass_CircleSAR()
{}

void QtWidgetsClass_CircleSAR::FEKOSimulationDataparamsChanged_slots()
{
	if (this->simulationparams->imagemode == FEKOBase::FEKOImageMode::CircleSAR) {
		this->ui.lineEdit_deltaAzAngle->setText(QString::number(this->simulationparams->delta_angle));
	}
	else if (this->simulationparams->imagemode == FEKOBase::FEKOImageMode::ISAR) {
		this->ui.lineEdit_deltaAzAngle->setText(QString::number(this->simulationparams->delta_angle));
	}
	else {
		return;
	}
}

void QtWidgetsClass_CircleSAR::bandingsetFEKOSimulationDataparams()
{
	QObject::connect(this->simulationparams.get(), SIGNAL(FEKOSimulationDataparamsChanged()), this, SLOT(FEKOSimulationDataparamsChanged_slots()));

}



void QtWidgetsClass_CircleSAR::on_pushButton_OK_clicked() {

	this->simulationparams->setDelta_angle(ui.lineEdit_deltaAzAngle->text().toDouble());
	this->simulationparams->setImagemode(FEKOBase::FEKOImageMode::CircleSAR);
	emit this->OKClick();

}